Subject: Re: What's cooking in git.git (Dec 2025, #02)

From: Junio C Hamano <[email-masked]>
Date: Wed, 10 Dec 2025 21:00:51 +0900

Karthik Nayak <[email-masked]> writes:

>>>>  Expecting a (hopefully small and final) reroll.
>>>>  cf. <CAOLa=[email-masked]>
>>>>  source: <[email-masked]>
>>>
>>> The only change needed from the last review was a typo. I think we should be
>>> good as is.
>>
>> Meaning that we prefer to leave the typo in, or just we won't die
>> with a known typo?
>
> The typo was in a comment in the tests, so I thought it wasn't worth
> re-rolling, but happy to do so.

I went back to the discussion to find that single typo and tweaked
it myself in my tree, so no need to resend.

Thanks.

diff --git c/t/t5510-fetch.sh w/t/t5510-fetch.sh
index a1ca4e1ac7..ce1c23684e 100755
--- c/t/t5510-fetch.sh
+++ w/t/t5510-fetch.sh
@@ -1628,7 +1628,7 @@ test_expect_success "backfill tags when providing a refspec" '
 	    test_commit fetch-me
 	) &&
 
-	# The "history" tag is backfilled eventhough we requested
+	# The "history" tag is backfilled even though we requested
 	# to only fetch HEAD
 	git -C target fetch origin HEAD:branch &&
 	git -C target tag -l >actual &&